Package org.springframework.aot.hint.support

# Class ClassHintUtils

java.lang.Object
org.springframework.aot.hint.support.ClassHintUtils

public abstract class ClassHintUtils extends Object
Utilities for core hint inference on Spring-managed classes, specifically for proxy types such as interface-based JDK proxies and CGLIB-generated subclasses which need proxy/reflection hints.

Note that this class does not take specifics of Spring AOP or any other framework arrangement into account. It just operates on the JDK and CGLIB proxy facilities and their core conventions.

Since:
  6.0.3
Author:
  Juergen Hoeller, Sebastien Deleuze
See Also:
  - `ProxyHints`
  - `ReflectionHints`

## Constructor Summary

Constructors
Constructor
Description
`ClassHintUtils()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`registerProxyIfNecessary(Class<?> candidateClass, RuntimeHints runtimeHints)`
Register a proxy hint for a JDK proxy or corresponding reflection hints for a CGLIB-generated subclass, if necessary.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassHintUtils

public ClassHintUtils()

## Method Details

### registerProxyIfNecessary

public static void registerProxyIfNecessary(Class<?> candidateClass, RuntimeHints runtimeHints)
Register a proxy hint for a JDK proxy or corresponding reflection hints for a CGLIB-generated subclass, if necessary.

Parameters:
  `candidateClass` - the class to introspect
  `runtimeHints` - the RuntimeHints instance to register the hints on
See Also:
  - `Proxy.isProxyClass(Class)`
  - `ClassUtils.getUserClass(Class)`